#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    pair<int, int> arr[n];
    for(int i = 0; i < n; i++)
    {
        cin >> arr[i].first >> arr[i]. second;
    }
    if(n < 4)
    {
        cout << 0;
    }
    else if(n == 4)
    {
        if(((arr[1].second - arr[0].second)/(arr[1].first - arr[0].first)) == ((arr[3].second - arr[2].second)/(arr[3].first - arr[2].first)))
        {
            if(sqrt((arr[1].first - arr[0].first)*(arr[1].first - arr[0].first) + (arr[1].second - arr[0].second)*(arr[1].second - arr[0].second)) /
               sqrt((arr[3].first - arr[2].first)*(arr[3].first - arr[2].first) + (arr[3].second - arr[2].second)*(arr[3].second - arr[2].second))
               == 2 ||
               sqrt((arr[1].first - arr[0].first)*(arr[1].first - arr[0].first) + (arr[1].second - arr[0].second)*(arr[1].second - arr[0].second)) /
               sqrt((arr[3].first - arr[2].first)*(arr[3].first - arr[2].first) + (arr[3].second - arr[2].second)*(arr[3].second - arr[2].second))
               == 1/2
               )
                {
                    cout << 1;
                }
            else
            {
                cout << 0;
            }
        }
        else if(((arr[2].second - arr[0].second)/(arr[2].first - arr[0].first)) == ((arr[3].second - arr[1].second)/(arr[3].first - arr[1].first)))
        {
            if(sqrt((arr[2].first - arr[0].first)*(arr[2].first - arr[0].first) + (arr[2].second - arr[0].second)*(arr[2].second - arr[0].second)) /
               sqrt((arr[3].first - arr[1].first)*(arr[3].first - arr[1].first) + (arr[3].second - arr[1].second)*(arr[3].second - arr[1].second))
               == 2 ||
               sqrt((arr[2].first - arr[0].first)*(arr[2].first - arr[0].first) + (arr[2].second - arr[0].second)*(arr[2].second - arr[0].second)) /
               sqrt((arr[3].first - arr[1].first)*(arr[3].first - arr[1].first) + (arr[3].second - arr[1].second)*(arr[3].second - arr[1].second))
               == 1/2
               )
                {
                    cout << 1;
                }
            else
            {
                cout << 0;
            }
        }
        else if(((arr[3].second - arr[0].second)/(arr[3].first - arr[0].first)) == ((arr[2].second - arr[1].second)/(arr[2].first - arr[1].first)))
        {
            if(sqrt((arr[3].first - arr[0].first)*(arr[3].first - arr[0].first) + (arr[3].second - arr[0].second)*(arr[3].second - arr[0].second)) /
               sqrt((arr[2].first - arr[1].first)*(arr[2].first - arr[1].first) + (arr[2].second - arr[1].second)*(arr[2].second - arr[1].second))
               == 2 ||
               sqrt((arr[3].first - arr[0].first)*(arr[3].first - arr[0].first) + (arr[3].second - arr[0].second)*(arr[3].second - arr[0].second)) /
               sqrt((arr[2].first - arr[1].first)*(arr[2].first - arr[1].first) + (arr[2].second - arr[1].second)*(arr[2].second - arr[1].second))
               == 1/2
               )
                {
                    cout << 1;
                }
            else
            {
                cout << 0;
            }
        }
    }
}